Method: parsers.list

Full name: projects.locations.instances.logTypes.parsers.list

List all parsers. - can be used as wildcard value for {logtype}

HTTP request

GET https://{endpoint}/v1alpha/{parent}/parsers

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of parsers. Format: projects/{project}/locations/{location}/instances/{instance}/logTypes/-/parsers

Query parameters

Parameters
pageSize

integer

The maximum number of parsers to return. The service may return fewer than this value.

pageToken

string

A page token, received from a previous parsers.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to parsers.list must match the call that provided the page token.

filter

string

A filter which should follow the guidelines of AIP-160

view

enum (ParserView)

Optional. Specifies the view of parser to be returned.

Request body

The request body must be empty.

Response body

Response message for listing parsers.

If successful, the response body contains data with the following structure:

JSON representation
{
  "parsers": [
    {
      object (Parser)
    }
  ],
  "nextPageToken": string
}
Fields
parsers[]

object (Parser)

The parsers from the specified chronicle instance. When the view is set to BASIC_VIEW in the request, the config, changelogs, parserExtension, and dynamicParsingConfig fields will not be populated for each parser. See ParserView for more details on the different views.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.parsers.list

For more information, see the IAM documentation.

ParserView

Specifies the amount of detail to return for a parser.

Enums
PARSER_VIEW_UNSPECIFIED The default / unset value. The API will default to the FULL view for backward compatibility.
BASIC_VIEW Include basic metadata about the parser, but not the full contents like config.
FULL_VIEW Include everything.